<?php
require_once(getabspath("classes/cipherer.php"));
$tdataScore_Mensal = array();
	$tdataScore_Mensal[".ShortName"] = "Score_Mensal";
	$tdataScore_Mensal[".OwnerID"] = "idnucleo";
	$tdataScore_Mensal[".OriginalTable"] = "senuc_score";

//	field labels
$fieldLabelsScore_Mensal = array();
if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelsScore_Mensal["Portuguese(Brazil)"] = array();
	$fieldToolTipsScore_Mensal["Portuguese(Brazil)"] = array();
	$fieldLabelsScore_Mensal["Portuguese(Brazil)"]["id"] = "Id";
	$fieldToolTipsScore_Mensal["Portuguese(Brazil)"]["id"] = "";
	$fieldLabelsScore_Mensal["Portuguese(Brazil)"]["idnucleo"] = "Idnucleo";
	$fieldToolTipsScore_Mensal["Portuguese(Brazil)"]["idnucleo"] = "";
	$fieldLabelsScore_Mensal["Portuguese(Brazil)"]["idregional"] = "Idregional";
	$fieldToolTipsScore_Mensal["Portuguese(Brazil)"]["idregional"] = "";
	$fieldLabelsScore_Mensal["Portuguese(Brazil)"]["ano"] = "Ano";
	$fieldToolTipsScore_Mensal["Portuguese(Brazil)"]["ano"] = "";
	$fieldLabelsScore_Mensal["Portuguese(Brazil)"]["mes"] = "Mes";
	$fieldToolTipsScore_Mensal["Portuguese(Brazil)"]["mes"] = "";
	$fieldLabelsScore_Mensal["Portuguese(Brazil)"]["score"] = "Score";
	$fieldToolTipsScore_Mensal["Portuguese(Brazil)"]["score"] = "";
	if (count($fieldToolTipsScore_Mensal["Portuguese(Brazil)"]))
		$tdataScore_Mensal[".isUseToolTips"] = true;
}
	
	
	$tdataScore_Mensal[".NCSearch"] = true;

	$tdataScore_Mensal[".ChartRefreshTime"] = 0;


$tdataScore_Mensal[".shortTableName"] = "Score_Mensal";
$tdataScore_Mensal[".nSecOptions"] = 1;
$tdataScore_Mensal[".recsPerRowList"] = 1;
$tdataScore_Mensal[".mainTableOwnerID"] = "idnucleo";
$tdataScore_Mensal[".moveNext"] = 1;
$tdataScore_Mensal[".nType"] = 3;

$tdataScore_Mensal[".strOriginalTableName"] = "senuc_score";




$tdataScore_Mensal[".showAddInPopup"] = false;

$tdataScore_Mensal[".showEditInPopup"] = false;

$tdataScore_Mensal[".showViewInPopup"] = false;

$tdataScore_Mensal[".fieldsForRegister"] = array();

$tdataScore_Mensal[".listAjax"] = false;

	$tdataScore_Mensal[".audit"] = false;

	$tdataScore_Mensal[".locking"] = false;

$tdataScore_Mensal[".listIcons"] = true;
$tdataScore_Mensal[".edit"] = true;
$tdataScore_Mensal[".inlineEdit"] = true;
$tdataScore_Mensal[".inlineAdd"] = true;
$tdataScore_Mensal[".view"] = true;



$tdataScore_Mensal[".delete"] = true;

$tdataScore_Mensal[".showSimpleSearchOptions"] = false;

$tdataScore_Mensal[".showSearchPanel"] = true;

if (isMobile())
	$tdataScore_Mensal[".isUseAjaxSuggest"] = false;
else 
	$tdataScore_Mensal[".isUseAjaxSuggest"] = true;


// button handlers file names

$tdataScore_Mensal[".addPageEvents"] = false;

// use timepicker for search panel
$tdataScore_Mensal[".isUseTimeForSearch"] = false;




$tdataScore_Mensal[".allSearchFields"] = array();

$tdataScore_Mensal[".allSearchFields"][] = "ano";
$tdataScore_Mensal[".allSearchFields"][] = "mes";
$tdataScore_Mensal[".allSearchFields"][] = "score";

$tdataScore_Mensal[".googleLikeFields"][] = "ano";
$tdataScore_Mensal[".googleLikeFields"][] = "mes";
$tdataScore_Mensal[".googleLikeFields"][] = "score";


$tdataScore_Mensal[".advSearchFields"][] = "ano";
$tdataScore_Mensal[".advSearchFields"][] = "mes";
$tdataScore_Mensal[".advSearchFields"][] = "score";

$tdataScore_Mensal[".isTableType"] = "chart";

	



// Access doesn't support subqueries from the same table as main



$tstrOrderBy = "order by ano desc, mes desc";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataScore_Mensal[".strOrderBy"] = $tstrOrderBy;

$tdataScore_Mensal[".orderindexes"] = array();

$tdataScore_Mensal[".sqlHead"] = "SELECT id,  idnucleo,  idregional,  ano,  mes,  score";
$tdataScore_Mensal[".sqlFrom"] = "FROM senuc_score";
$tdataScore_Mensal[".sqlWhereExpr"] = "";
$tdataScore_Mensal[".sqlTail"] = "";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataScore_Mensal[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataScore_Mensal[".arrGroupsPerPage"] = $arrGPP;

$tableKeysScore_Mensal = array();
$tableKeysScore_Mensal[] = "id";
$tdataScore_Mensal[".Keys"] = $tableKeysScore_Mensal;

$tdataScore_Mensal[".listFields"] = array();
$tdataScore_Mensal[".listFields"][] = "id";
$tdataScore_Mensal[".listFields"][] = "idnucleo";
$tdataScore_Mensal[".listFields"][] = "idregional";
$tdataScore_Mensal[".listFields"][] = "ano";
$tdataScore_Mensal[".listFields"][] = "mes";
$tdataScore_Mensal[".listFields"][] = "score";

$tdataScore_Mensal[".viewFields"] = array();
$tdataScore_Mensal[".viewFields"][] = "id";
$tdataScore_Mensal[".viewFields"][] = "idnucleo";
$tdataScore_Mensal[".viewFields"][] = "idregional";
$tdataScore_Mensal[".viewFields"][] = "ano";
$tdataScore_Mensal[".viewFields"][] = "mes";
$tdataScore_Mensal[".viewFields"][] = "score";

$tdataScore_Mensal[".addFields"] = array();
$tdataScore_Mensal[".addFields"][] = "idregional";
$tdataScore_Mensal[".addFields"][] = "ano";
$tdataScore_Mensal[".addFields"][] = "mes";
$tdataScore_Mensal[".addFields"][] = "score";

$tdataScore_Mensal[".inlineAddFields"] = array();
$tdataScore_Mensal[".inlineAddFields"][] = "idregional";
$tdataScore_Mensal[".inlineAddFields"][] = "ano";
$tdataScore_Mensal[".inlineAddFields"][] = "mes";
$tdataScore_Mensal[".inlineAddFields"][] = "score";

$tdataScore_Mensal[".editFields"] = array();
$tdataScore_Mensal[".editFields"][] = "idnucleo";
$tdataScore_Mensal[".editFields"][] = "idregional";
$tdataScore_Mensal[".editFields"][] = "ano";
$tdataScore_Mensal[".editFields"][] = "mes";
$tdataScore_Mensal[".editFields"][] = "score";

$tdataScore_Mensal[".inlineEditFields"] = array();
$tdataScore_Mensal[".inlineEditFields"][] = "idnucleo";
$tdataScore_Mensal[".inlineEditFields"][] = "idregional";
$tdataScore_Mensal[".inlineEditFields"][] = "ano";
$tdataScore_Mensal[".inlineEditFields"][] = "mes";
$tdataScore_Mensal[".inlineEditFields"][] = "score";

$tdataScore_Mensal[".exportFields"] = array();
$tdataScore_Mensal[".exportFields"][] = "id";
$tdataScore_Mensal[".exportFields"][] = "idnucleo";
$tdataScore_Mensal[".exportFields"][] = "idregional";
$tdataScore_Mensal[".exportFields"][] = "ano";
$tdataScore_Mensal[".exportFields"][] = "mes";
$tdataScore_Mensal[".exportFields"][] = "score";

$tdataScore_Mensal[".printFields"] = array();
$tdataScore_Mensal[".printFields"][] = "id";
$tdataScore_Mensal[".printFields"][] = "idnucleo";
$tdataScore_Mensal[".printFields"][] = "idregional";
$tdataScore_Mensal[".printFields"][] = "ano";
$tdataScore_Mensal[".printFields"][] = "mes";
$tdataScore_Mensal[".printFields"][] = "score";

//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "senuc_score";
	$fdata["Label"] = "Id"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "id"; 
		$fdata["FullName"] = "id";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
		
		$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataScore_Mensal["id"] = $fdata;
//	idnucleo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "idnucleo";
	$fdata["GoodName"] = "idnucleo";
	$fdata["ownerTable"] = "senuc_score";
	$fdata["Label"] = "Idnucleo"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		$fdata["bEditPage"] = true; 
	
		$fdata["bInlineEdit"] = true; 
	
		$fdata["bViewPage"] = true; 
	
		
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "idnucleo"; 
		$fdata["FullName"] = "idnucleo";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
		
		$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataScore_Mensal["idnucleo"] = $fdata;
//	idregional
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "idregional";
	$fdata["GoodName"] = "idregional";
	$fdata["ownerTable"] = "senuc_score";
	$fdata["Label"] = "Idregional"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		$fdata["bInlineAdd"] = true; 
	
		$fdata["bEditPage"] = true; 
	
		$fdata["bInlineEdit"] = true; 
	
		$fdata["bViewPage"] = true; 
	
		
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "idregional"; 
		$fdata["FullName"] = "idregional";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
		
		$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataScore_Mensal["idregional"] = $fdata;
//	ano
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "ano";
	$fdata["GoodName"] = "ano";
	$fdata["ownerTable"] = "senuc_score";
	$fdata["Label"] = "Ano"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		$fdata["bInlineAdd"] = true; 
	
		$fdata["bEditPage"] = true; 
	
		$fdata["bInlineEdit"] = true; 
	
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "ano"; 
		$fdata["FullName"] = "ano";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
		
		$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataScore_Mensal["ano"] = $fdata;
//	mes
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "mes";
	$fdata["GoodName"] = "mes";
	$fdata["ownerTable"] = "senuc_score";
	$fdata["Label"] = "Mes"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		$fdata["bInlineAdd"] = true; 
	
		$fdata["bEditPage"] = true; 
	
		$fdata["bInlineEdit"] = true; 
	
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "mes"; 
		$fdata["FullName"] = "mes";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
		
		$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataScore_Mensal["mes"] = $fdata;
//	score
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "score";
	$fdata["GoodName"] = "score";
	$fdata["ownerTable"] = "senuc_score";
	$fdata["Label"] = "Score"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		$fdata["bInlineAdd"] = true; 
	
		$fdata["bEditPage"] = true; 
	
		$fdata["bInlineEdit"] = true; 
	
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "score"; 
		$fdata["FullName"] = "score";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
		
		$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataScore_Mensal["score"] = $fdata;

	$tdataScore_Mensal[".chartXml"] = '<chart>
		<attr value="tables">
			<attr value="0">Score_Mensal</attr>
		</attr>
		<attr value="chart_type">
			<attr value="type">2d_column</attr>
		</attr>
		
		<attr value="parameters">';
	$tdataScore_Mensal[".chartXml"] .= '<attr value="0">
			<attr value="name">score</attr>
			<attr value="currencyFormat">0</attr>
			<attr value="decimalFormat">2</attr>
			<attr value="customFormat">0</attr>
			<attr value="customFormatStr"></attr>';
	$tdataScore_Mensal[".chartXml"] .= '</attr>';
	$tdataScore_Mensal[".chartXml"] .= '<attr value="1">
		<attr value="name">mes</attr>
	</attr>';
	$tdataScore_Mensal[".chartXml"] .= '</attr>
			<attr value="appearance">';
	$tdataScore_Mensal[".chartXml"] .= '<attr value="scolor11">FF0000</attr>
			<attr value="scolor12">FF0000</attr>';

	$tdataScore_Mensal[".chartXml"] .= '<attr value="head">'.xmlencode("Scores Mensais").'</attr>
<attr value="foot">'.xmlencode("Scores Mensais").'</attr>
<attr value="y_axis_label">'.xmlencode("idnucleo").'</attr>

<attr value="color51">49563A</attr>
<attr value="color52">49563A</attr>
<attr value="color61">49563A</attr>
<attr value="color62">49563A</attr>
<attr value="color71">C7CDC1</attr>
<attr value="color72">C7CDC1</attr>
<attr value="color81">ECF0E8</attr>
<attr value="color82">ECF0E8</attr>
<attr value="color91">68838B</attr>
<attr value="color92">68838B</attr>
<attr value="color101">48505A</attr>
<attr value="color102">48505A</attr>
<attr value="color111">45595F</attr>
<attr value="color112">45595F</attr>
<attr value="color121"></attr>
<attr value="color122"></attr>
<attr value="color131">000000</attr>
<attr value="color132">000000</attr>
<attr value="color141">000000</attr>
<attr value="color142">000000</attr>

<attr value="slegend">true</attr>
<attr value="sgrid">false</attr>
<attr value="sname">true</attr>
<attr value="sval">true</attr>
<attr value="sanim">true</attr>
<attr value="sstacked">false</attr>
<attr value="saxes">false</attr>
<attr value="slog">false</attr>
<attr value="aqua">0</attr>
<attr value="cview">0</attr>
<attr value="is3d">0</attr>
<attr value="isstacked">0</attr>
<attr value="linestyle">0</attr>
<attr value="autoupdate">0</attr>
<attr value="autoupmin">5</attr>
<attr value="cscroll">true</attr>
<attr value="maxbarscroll">10</attr>';
$tdataScore_Mensal[".chartXml"] .= '</attr>

<attr value="fields">';
	$tdataScore_Mensal[".chartXml"] .= '<attr value="0">
		<attr value="name">id</attr>
		<attr value="label">'.xmlencode("Id").'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdataScore_Mensal[".chartXml"] .= '<attr value="1">
		<attr value="name">idnucleo</attr>
		<attr value="label">'.xmlencode("Idnucleo").'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdataScore_Mensal[".chartXml"] .= '<attr value="2">
		<attr value="name">idregional</attr>
		<attr value="label">'.xmlencode("Idregional").'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdataScore_Mensal[".chartXml"] .= '<attr value="3">
		<attr value="name">ano</attr>
		<attr value="label">'.xmlencode("Ano").'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdataScore_Mensal[".chartXml"] .= '<attr value="4">
		<attr value="name">mes</attr>
		<attr value="label">'.xmlencode("Mes").'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdataScore_Mensal[".chartXml"] .= '<attr value="5">
		<attr value="name">score</attr>
		<attr value="label">'.xmlencode("Score").'</attr>
		<attr value="search"></attr>
	</attr>';
$tdataScore_Mensal[".chartXml"] .= '</attr>


<attr value="settings">
<attr value="name">Score_Mensal</attr>
<attr value="short_table_name">Score_Mensal</attr>
</attr>

</chart>';
	
$tables_data["Score_Mensal"]=&$tdataScore_Mensal;
$field_labels["Score_Mensal"] = &$fieldLabelsScore_Mensal;
$fieldToolTips["Score_Mensal"] = &$fieldToolTipsScore_Mensal;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["Score_Mensal"] = array();
	
// tables which are master tables for current table (detail)
$masterTablesData["Score_Mensal"] = array();

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










function createSqlQuery_Score_Mensal()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  idnucleo,  idregional,  ano,  mes,  score";
$proto0["m_strFrom"] = "FROM senuc_score";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "order by ano desc, mes desc";
$proto0["m_strTail"] = "";
$proto0["cipherer"] = null;
$proto1=array();
$proto1["m_sql"] = "";
$proto1["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto1["m_column"]=$obj;
$proto1["m_contained"] = array();
$proto1["m_strCase"] = "";
$proto1["m_havingmode"] = "0";
$proto1["m_inBrackets"] = "0";
$proto1["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto1);

$proto0["m_where"] = $obj;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = "0";
$proto3["m_inBrackets"] = "0";
$proto3["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto3);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto5=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "senuc_score"
));

$proto5["m_expr"]=$obj;
$proto5["m_alias"] = "";
$obj = new SQLFieldListItem($proto5);

$proto0["m_fieldlist"][]=$obj;
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "idnucleo",
	"m_strTable" => "senuc_score"
));

$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto0["m_fieldlist"][]=$obj;
						$proto9=array();
			$obj = new SQLField(array(
	"m_strName" => "idregional",
	"m_strTable" => "senuc_score"
));

$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "";
$obj = new SQLFieldListItem($proto9);

$proto0["m_fieldlist"][]=$obj;
						$proto11=array();
			$obj = new SQLField(array(
	"m_strName" => "ano",
	"m_strTable" => "senuc_score"
));

$proto11["m_expr"]=$obj;
$proto11["m_alias"] = "";
$obj = new SQLFieldListItem($proto11);

$proto0["m_fieldlist"][]=$obj;
						$proto13=array();
			$obj = new SQLField(array(
	"m_strName" => "mes",
	"m_strTable" => "senuc_score"
));

$proto13["m_expr"]=$obj;
$proto13["m_alias"] = "";
$obj = new SQLFieldListItem($proto13);

$proto0["m_fieldlist"][]=$obj;
						$proto15=array();
			$obj = new SQLField(array(
	"m_strName" => "score",
	"m_strTable" => "senuc_score"
));

$proto15["m_expr"]=$obj;
$proto15["m_alias"] = "";
$obj = new SQLFieldListItem($proto15);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto17=array();
$proto17["m_link"] = "SQLL_MAIN";
			$proto18=array();
$proto18["m_strName"] = "senuc_score";
$proto18["m_columns"] = array();
$proto18["m_columns"][] = "id";
$proto18["m_columns"][] = "idnucleo";
$proto18["m_columns"][] = "idregional";
$proto18["m_columns"][] = "tipo_nucleo";
$proto18["m_columns"][] = "ano";
$proto18["m_columns"][] = "mes";
$proto18["m_columns"][] = "coordenadores";
$proto18["m_columns"][] = "professores";
$proto18["m_columns"][] = "alunos";
$proto18["m_columns"][] = "meta_alunos";
$proto18["m_columns"][] = "dias_funcionamento";
$proto18["m_columns"][] = "meta_funcionamento";
$proto18["m_columns"][] = "alunos_por_coordenador";
$proto18["m_columns"][] = "meta_alunos_por_coordenador";
$proto18["m_columns"][] = "freq_media_coordenador";
$proto18["m_columns"][] = "min_freq_coordenador";
$proto18["m_columns"][] = "freq_media_aluno";
$proto18["m_columns"][] = "min_freq_aluno";
$proto18["m_columns"][] = "freq_media_professor";
$proto18["m_columns"][] = "min_freq_professor";
$proto18["m_columns"][] = "meta_atividades";
$proto18["m_columns"][] = "atividades_elaboradas";
$proto18["m_columns"][] = "atividades_realizadas";
$proto18["m_columns"][] = "score";
$proto18["m_columns"][] = "operador";
$proto18["m_columns"][] = "data_insercao";
$obj = new SQLTable($proto18);

$proto17["m_table"] = $obj;
$proto17["m_alias"] = "";
$proto19=array();
$proto19["m_sql"] = "";
$proto19["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto19["m_column"]=$obj;
$proto19["m_contained"] = array();
$proto19["m_strCase"] = "";
$proto19["m_havingmode"] = "0";
$proto19["m_inBrackets"] = "0";
$proto19["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto19);

$proto17["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto17);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
												$proto21=array();
						$obj = new SQLField(array(
	"m_strName" => "ano",
	"m_strTable" => "senuc_score"
));

$proto21["m_column"]=$obj;
$proto21["m_bAsc"] = 0;
$proto21["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto21);

$proto0["m_orderby"][]=$obj;					
												$proto23=array();
						$obj = new SQLField(array(
	"m_strName" => "mes",
	"m_strTable" => "senuc_score"
));

$proto23["m_column"]=$obj;
$proto23["m_bAsc"] = 0;
$proto23["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto23);

$proto0["m_orderby"][]=$obj;					
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_Score_Mensal = createSqlQuery_Score_Mensal();
						$tdataScore_Mensal[".sqlquery"] = $queryData_Score_Mensal;
	
if(isset($tdataScore_Mensal["field2"])){
	$tdataScore_Mensal["field2"]["LookupTable"] = "carscars_view";
	$tdataScore_Mensal["field2"]["LookupOrderBy"] = "name";
	$tdataScore_Mensal["field2"]["LookupType"] = 4;
	$tdataScore_Mensal["field2"]["LinkField"] = "email";
	$tdataScore_Mensal["field2"]["DisplayField"] = "name";
	$tdataScore_Mensal[".hasCustomViewField"] = true;
}

$tableEvents["Score_Mensal"] = new eventsBase;
$tdataScore_Mensal[".hasEvents"] = false;

$cipherer = new RunnerCipherer("Score_Mensal");

?>